###
#
#  <%= name %> Kite for Koding
#  Author: <%= username %> <%= mail %>
#
#  This is an example kite with two methods:
#
#    - helloWorld
#    - fooBar
#
###
Kite           = require "kd-kite"
rope           = require "kd-rope"
key            = require "./lib/key"

manifest       = require "./manifest.json"
manifest       = key manifest

kite = new Kite manifest,

  ###
  # This is a dummy method of the kite.
  ###
  helloWorld: ({name}, callback) ->
    
    # anotherKite = rope kite, 'anotherKite'
    
    # anotherKite.pingKite {param: true}, (err, result)->
    #   callback null, result

    return callback null, "Hello, <%= name %>! This is #{name}"

  ###
  # You can call another kites.
  ###
  fooBar: (options, callback) ->
    
    # Let's connect to another kite ..
    awosemekite = rope kite, 'awosemekite'

    # .. and run a method of it.
    awosemekite.helloWorld name: "<%= username %>", (err, result)->
      callback null, result

module.exports = kite